harness
Replace harness baselines
Requires scopes: admin:org
PUT
/
api
/
harness
/
baselines
Replace harness baselines
curl --request PUT \
--url https://evalgate.com/api/harness/baselines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"enabled": false,
"visibility": "organization_members",
"retentionDays": 123,
"minimumCohortSize": 123,
"redactionMode": "metadata_only",
"allowQualityMetrics": false,
"allowLatencyMetrics": false,
"allowTokenMetrics": false,
"allowCostMetrics": false,
"allowedSources": [
"codex"
]
}
'import requests
url = "https://evalgate.com/api/harness/baselines"
payload = {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"enabled": False,
"visibility": "organization_members",
"retentionDays": 123,
"minimumCohortSize": 123,
"redactionMode": "metadata_only",
"allowQualityMetrics": False,
"allowLatencyMetrics": False,
"allowTokenMetrics": False,
"allowCostMetrics": False,
"allowedSources": ["codex"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schemaVersion: 1,
enabled: false,
visibility: 'organization_members',
retentionDays: 123,
minimumCohortSize: 123,
redactionMode: 'metadata_only',
allowQualityMetrics: false,
allowLatencyMetrics: false,
allowTokenMetrics: false,
allowCostMetrics: false,
allowedSources: ['codex']
})
};
fetch('https://evalgate.com/api/harness/baselines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policy": {
"schemaVersion": 1,
"enabled": true,
"visibility": "organization_members",
"retentionDays": 123,
"minimumCohortSize": 123,
"redactionMode": "metadata_only",
"allowQualityMetrics": true,
"allowLatencyMetrics": true,
"allowTokenMetrics": true,
"allowCostMetrics": true,
"allowedSources": [
"codex"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Body
application/json
Available options:
1 Available options:
false Available options:
organization_members Available options:
metadata_only Available options:
false Available options:
false Available options:
false Available options:
false Available options:
codex Response
Successful response
Show child attributes
Show child attributes
⌘I
Replace harness baselines
